@ECHO OFF
COLOR 2
set iconpath=%~dp0
mode con: cols=160 lines=15
Echo ----------------------------------------------------------------------------------------------------------------------------------------
Echo Note: This will install the entire config! If you only want part of it you have to look inside the folders and copy the things you want.
Echo Alternatively you can look on my website and download each individual thing there. - http://nya.zone/files/APB/
Echo If you want to revert the changes you would have to repair or download APB again.
Echo.
Echo I am working on an installer that will let you pick what to install. If you do not want everything you can wait for that. NO ETA.
Echo ----------------------------------------------------------------------------------------------------------------------------------------

SET /P AREYOUSURE=Do you want to continue? (Y/[N]): 
IF /I "%AREYOUSURE%" NEQ "Y" GOTO END

cls
Echo These are your current drives.
Echo -----------------------------
wmic logicaldisk get caption,volumename
Echo -----------------------------
set /p Input=What drive is APB installed on: 
cls
echo Hold on while we look for your APB folder.
for /d /r "%Input%:\" %%i in ("APB Reloaded") do @if exist "%%i" set apb=%%i
set apb=%apb:"=%
cls
echo We found an APB folder in the following direcotry: %apb%

SET /P AREYOUSURE=Is this the correct path to your APB folder? (Y/[N]): 
IF /I "%AREYOUSURE%" NEQ "Y" GOTO PATH
cls

SET /P AREYOUSURE=We are ready to install then. Do you wish to continue? (Y/[N]): 
IF /I "%AREYOUSURE%" NEQ "Y" GOTO END
cls
xcopy /s /y "APB Reloaded" "%apb%"
cls
GOTO SHORTCUT

:SHORTCUT
set MYPATH=%apb%
set SCRIPT="%TEMP%\%RANDOM%-%RANDOM%-%RANDOM%-%RANDOM%.vbs"
echo Set oWS = WScript.CreateObject("WScript.Shell") >> %SCRIPT%
echo sLinkFile = "%USERPROFILE%\Desktop\APB - Mission Names.lnk" >> %SCRIPT%
echo Set oLink = oWS.CreateShortcut(sLinkFile) >> %SCRIPT%
echo oLink.TargetPath = "%mypath%/Binaries/APB.exe" >> %SCRIPT%
echo oLink.Arguments = "-language=1031" >> %SCRIPT%
echo oLink.IconLocation = "%iconpath%Icon_file.ico" >> %SCRIPT%
echo olink.WorkingDirectory = "%mypath%/Binaries/" >> %SCRIPT%
echo oLink.Save >> %SCRIPT%
cscript /nologo %SCRIPT%
del %SCRIPT%
GOTO DONE

:END
cls
echo --------------------------------------------------------------------
echo Please copy the folders manually or visit http://nya.zone/files/APB/
echo --------------------------------------------------------------------
SET /P AREYOUSURE=Open http://nya.zone/files/APB/ and exit the installer? (Y/[N]): 
IF /I "%AREYOUSURE%" NEQ "Y" GOTO EXIT
start "" http://nya.zone/files/APB/
exit

:PATH
cls
echo Please copy your APB path and paste it here. (E.g. G:\Program Files (x86)\Steam\steamapps\common\APB Reloaded)
set /p apbpath=APB folder path: 
cls
xcopy /s "APB Reloaded" "%apbpath%"
cls
GOTO SHORTCUT

:DONE
cls
echo -----------------------------------------------------------------------------------------
echo A shortcut has been placed on your desktop that will enable the mission name changes.
echo You have to run the game from this shortcut for these changes to show up in-game.
echo This will also prevent APB from overriding the configs.
echo -----------------------------------------------------------------------------------------
SET /P AREYOUSURE=We're now done and the configs has been installed. Press any key to exit.
IF /I "%AREYOUSURE%" NEQ "" GOTO EXIT

:EXIT
exit